#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QQmlContext>

#include "jnihandler.h"

int main(int argc, char *argv[])
{
    // QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);

    QGuiApplication app(argc, argv);
    jnihandler *jniHandler = new jnihandler(&app);

    QQmlApplicationEngine engine;
    engine.rootContext()->setContextProperty(QLatin1String("DataHandler"), jniHandler);

    const QUrl url(QStringLiteral("qrc:/main.qml"));
    QObject::connect(&engine, &QQmlApplicationEngine::objectCreated,
                     &app, [url](QObject *obj, const QUrl &objUrl) {
        if (!obj && url == objUrl)
            QCoreApplication::exit(-1);
    }, Qt::QueuedConnection);
    engine.load(url);
    return app.exec();
}
